package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class PayOrderReq extends BaseRequest {
    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String vipId;
    
    @ApiModelProperty(name = "appType", value = "6（家长端小程序），7（校长端和老师端小程序），11:(app老师端)，12:（app家长端）", required = true)
    private int appType;
    
    @ApiModelProperty(name = "payType", value = "1（微信支付），2（支付宝支付），默认为1微信支付", required = false)
    private int payType;
    
    @ApiModelProperty(name = "lessonServiceId", value = "课程服务id", required = true)
    private String lessonServiceId;

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public int getAppType() {
		return appType;
	}

	public void setAppType(int appType) {
		this.appType = appType;
	}

	public String getLessonServiceId() {
		return lessonServiceId;
	}

	public void setLessonServiceId(String lessonServiceId) {
		this.lessonServiceId = lessonServiceId;
	}

}
